[Bug 1579584] Re: package sudo 1.8.16-0ubuntu1 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 1

Apport retracing service 1579584 at bugs.launchpad.net
Sun May 8 23:30:07 UTC 2016


** Tags removed: need-duplicate-check

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to sudo in Ubuntu.
https://bugs.launchpad.net/bugs/1579584

Title:
  package sudo 1.8.16-0ubuntu1 failed to install/upgrade: subprocess
  installed pre-removal script returned error exit status 1

Status in sudo package in Ubuntu:
  New

Bug description:
  root at music:~/media/midi-files# sudo apt-get install ia32-libs
  Reading package lists... Done
  Building dependency tree       
  Reading state information... Done
  Package ia32-libs is not available, but is referred to by another package.
  This may mean that the package is missing, has been obsoleted, or
  is only available from another source
  However the following packages replace it:
    lib32ncurses5 lib32z1

  E: Package 'ia32-libs' has no installation candidate
  root at music:~/media/midi-files# sudo apt-get install   lib32ncurses5 lib32z1
  Reading package lists... Done
  Building dependency tree       
  Reading state information... Done
  lib32ncurses5 is already the newest version (6.0+20160213-1ubuntu1).
  lib32z1 is already the newest version (1:1.2.8.dfsg-2ubuntu4).
  You might want to run 'apt-get -f install' to correct these:
  The following packages have unmet dependencies:
   guitarpro6:i386 : Depends: gksu:i386 but it is not going to be installed
                     Depends: libportaudio0:i386 but it is not installable
                     Depends: libportaudio2:i386 but it is not going to be installed
                     Depends: libssl0.9.8:i386 but it is not installable
  E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
  root at music:~/media/midi-files# apt-get -f install
  Reading package lists... Done
  Building dependency tree       
  Reading state information... Done
  Correcting dependencies... Done
  The following packages were automatically installed and are no longer required:
    extlinux gksu:i386 libatk1.0-0:i386 libaudit1:i386 libcairo2:i386 libdatrie1:i386 libdbus-glib-1-2:i386
    libgconf-2-4:i386 libgdk-pixbuf2.0-0:i386 libgksu2-0:i386 libgnome-keyring0:i386 libgraphite2-3:i386 libgtk2.0-0:i386
    libgtop-2.0-10:i386 libharfbuzz0b:i386 libpam-modules:i386 libpam0g:i386 libpango-1.0-0:i386 libpangocairo-1.0-0:i386
    libpangoft2-1.0-0:i386 libpixman-1-0:i386 libstartup-notification0:i386 libthai0:i386 libxcb-render0:i386
    libxcb-shm0:i386 libxcb-util1:i386 sudo:i386 syslinux syslinux-common unetbootin-translations
  Use 'sudo apt autoremove' to remove them.
  The following additional packages will be installed:
    gksu:i386 libatk1.0-0:i386 libaudit1:i386 libcairo2:i386 libdatrie1:i386 libdbus-glib-1-2:i386 libgconf-2-4:i386
    libgdk-pixbuf2.0-0:i386 libgksu2-0:i386 libgnome-keyring0:i386 libgraphite2-3:i386 libgtk2.0-0:i386 libgtop-2.0-10:i386
    libharfbuzz0b:i386 libpam-modules:i386 libpam0g:i386 libpango-1.0-0:i386 libpangocairo-1.0-0:i386
    libpangoft2-1.0-0:i386 libpixman-1-0:i386 libportaudio2:i386 libstartup-notification0:i386 libthai0:i386
    libxcb-render0:i386 libxcb-shm0:i386 libxcb-util1:i386 sudo:i386
  Suggested packages:
    librsvg2-common:i386 gvfs:i386 libpam-doc:i386
  Recommended packages:
    update-motd:i386
  The following packages will be REMOVED:
    gksu guitarpro6:i386 libgksu2-0 pd-deken sudo ubuntu-minimal unetbootin
  The following NEW packages will be installed:
    gksu:i386 libatk1.0-0:i386 libaudit1:i386 libcairo2:i386 libdatrie1:i386 libdbus-glib-1-2:i386 libgconf-2-4:i386
    libgdk-pixbuf2.0-0:i386 libgksu2-0:i386 libgnome-keyring0:i386 libgraphite2-3:i386 libgtk2.0-0:i386 libgtop-2.0-10:i386
    libharfbuzz0b:i386 libpam-modules:i386 libpam0g:i386 libpango-1.0-0:i386 libpangocairo-1.0-0:i386
    libpangoft2-1.0-0:i386 libpixman-1-0:i386 libportaudio2:i386 libstartup-notification0:i386 libthai0:i386
    libxcb-render0:i386 libxcb-shm0:i386 libxcb-util1:i386 sudo:i386
  0 upgraded, 27 newly installed, 7 to remove and 0 not upgraded.
  1 not fully installed or removed.
  Need to get 4,702 kB of archives.
  After this operation, 215 MB disk space will be freed.
  Do you want to continue? [Y/n] y
  Get:1 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libaudit1 i386 1:2.4.5-1ubuntu2 [37.6 kB]
  Get:2 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libpam0g i386 1.1.8-3.2ubuntu2 [57.8 kB]
  Get:3 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libpam-modules i386 1.1.8-3.2ubuntu2 [256 kB]
  Get:4 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libgnome-keyring0 i386 3.12.0-1build1 [59.5 kB]
  Get:5 http://us.archive.ubuntu.com/ubuntu xenial/main i386 sudo i386 1.8.16-0ubuntu1 [395 kB]
  Get:6 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libdbus-glib-1-2 i386 0.106-1 [73.6 kB]
  Get:7 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libpixman-1-0 i386 0.33.6-1 [237 kB]
  Get:8 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-render0 i386 1.11.1-1ubuntu1 [12.2 kB]
  Get:9 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-shm0 i386 1.11.1-1ubuntu1 [5,754 B]
  Get:10 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libcairo2 i386 1.14.6-1 [613 kB]
  Get:11 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libgconf-2-4 i386 3.2.6-3ubuntu6 [89.5 kB]
  Get:12 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libgdk-pixbuf2.0-0 i386 2.32.2-1ubuntu1 [168 kB]
  Get:13 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libatk1.0-0 i386 2.18.0-1 [57.5 kB]
  Get:14 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libdatrie1 i386 0.2.10-2 [18.8 kB]
  Get:15 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libthai0 i386 0.1.24-2 [18.5 kB]
  Get:16 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libpango-1.0-0 i386 1.38.1-1 [154 kB]
  Get:17 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libgraphite2-3 i386 1.3.6-1ubuntu1 [73.3 kB]
  Get:18 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libharfbuzz0b i386 1.0.1-1build2 [148 kB]
  Get:19 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libpangoft2-1.0-0 i386 1.38.1-1 [36.5 kB]
  Get:20 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libpangocairo-1.0-0 i386 1.38.1-1 [22.5 kB]
  Get:21 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libgtk2.0-0 i386 2.24.30-1ubuntu1 [1,904 kB]
  Get:22 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libgtop-2.0-10 i386 2.32.0-1 [38.8 kB]
  Get:23 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-util1 i386 0.4.0-0ubuntu3 [11.5 kB]
  Get:24 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libstartup-notification0 i386 0.12-4build1 [20.1 kB]
  Get:25 http://us.archive.ubuntu.com/ubuntu xenial/universe i386 libgksu2-0 i386 2.0.13~pre1-6ubuntu8 [74.6 kB]
  Get:26 http://us.archive.ubuntu.com/ubuntu xenial/universe i386 gksu i386 2.0.2-9ubuntu1 [51.6 kB]
  Get:27 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libportaudio2 i386 19+svn20140130-1build1 [66.5 kB]
  Fetched 4,702 kB in 1s (4,291 kB/s)           
  Preconfiguring packages ...
  (Reading database ... 408605 files and directories currently installed.)
  Removing guitarpro6:i386 (6.1.9) ...
  Removing unetbootin (608-1) ...
  Removing pd-deken (0.1-2) ...
  Removing gksu (2.0.2-9ubuntu1) ...
  Removing libgksu2-0 (2.0.13~pre1-6ubuntu8) ...
  Removing ubuntu-minimal (1.361) ...
  Removing sudo (1.8.16-0ubuntu1) ...
  You have asked that the sudo package be removed,
  but no root password has been set.
  Without sudo, you may not be able to gain administrative privileges.

  If you would prefer to access the root account with su(1)
  or by logging in directly,
  you must set a root password with "sudo passwd".

  If you have arranged other means to access the root account,
  and you are sure this is what you want,
  you may bypass this check by setting an environment variable 
  (export SUDO_FORCE_REMOVE=yes).

  Refusing to remove sudo.
  dpkg: error processing package sudo (--remove):
   subprocess installed pre-removal script returned error exit status 1
  Processing triggers for gnome-menus (3.13.3-6ubuntu3) ...
  Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
  Processing triggers for mime-support (3.59ubuntu1) ...
  Processing triggers for man-db (2.7.5-1) ...
  Processing triggers for libc-bin (2.23-0ubuntu3) ...
  Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
  Errors were encountered while processing:
   sudo
  E: Sub-process /usr/bin/dpkg returned an error code (1)
  root at music:~/media/midi-files#

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: sudo 1.8.16-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-22.39-lowlatency 4.4.8
  Uname: Linux 4.4.0-22-lowlatency x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  Date: Sun May  8 19:21:24 2016
  ErrorMessage: subprocess installed pre-removal script returned error exit status 1
  InstallationDate: Installed on 2015-11-24 (166 days ago)
  InstallationMedia: Xubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10ubuntu1
  SourcePackage: sudo
  Title: package sudo 1.8.16-0ubuntu1 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 1
  UpgradeStatus: Upgraded to xenial on 2016-04-15 (23 days ago)
  VisudoCheck:
   /etc/sudoers: parsed OK
   /etc/sudoers.d/README: parsed OK

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sudo/+bug/1579584/+subscriptions



More information about the foundations-bugs mailing list